> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update version

> Update a specific version of an asset.



## OpenAPI

````yaml patch /workspaces/assets/{asset_id}/versions/{version_id}
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/versions/{version_id}:
    patch:
      tags:
        - Asset Version
      description: Update a specific version of an asset.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          schema:
            type: string
          required: true
        - name: version_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '200':
          description: The updated asset version
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetVersion'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AssetVersion:
      type: object
      required:
        - id
        - asset_id
        - created_by_user_id
        - thumbnail_file_id
        - name
        - description
        - key
        - size
        - version_number
        - sequence
        - checksum
      properties:
        id:
          type: string
          description: Unique identifier for the asset version
        asset_id:
          type: string
          description: Identifier of the associated asset
        commit_parent_id:
          type: string
          description: Identifier of the parent commit, if any
        created_by_user_id:
          type: string
          description: Identifier of the user who created the asset version
        thumbnail_file_id:
          type: string
          description: Identifier of the thumbnail file
        name:
          type: string
          description: Name of the asset version
        description:
          type: string
          description: Description of the asset version
        key:
          type: string
          description: Key associated with the asset version
        size:
          type: integer
          format: int64
          description: Size of the asset version
        version_number:
          type: integer
          description: Version number of the asset
        sequence:
          type: integer
          format: int64
          description: Sequence number of the asset version
        checksum:
          type: string
          description: Checksum of the asset version
        user:
          $ref: '#/components/schemas/User'
          description: User who created the asset version
    User:
      type: object
      description: User model
      properties:
        id:
          type: string
          description: Unique identifier for the user
        auth0UserID:
          type: string
          description: Auth0 user ID
        username:
          type: string
          description: Username of the user
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        lastName:
          type: string
          description: Last name of the user
        avatar_file_id:
          type: string
          description: File ID of the user's avatar
        defaultAvatar:
          type: number
          description: Default avatar identifier
        industry:
          type: string
          description: Industry the user works in
        occupation:
          type: string
          description: Occupation of the user
        company:
          type: string
          description: Company the user works for
        emailVerified:
          type: boolean
          description: Whether the user's email is verified
        isActive:
          type: boolean
          description: Whether the user is active
        city:
          type: string
          description: City where the user resides
        state:
          type: string
          description: State where the user resides
        country:
          type: string
          description: Country where the user resides
        zipCode:
          type: string
          description: Zip code of the user's location
        invited_by_user:
          $ref: '#/components/schemas/User'
          description: User who invited this user
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````